#version 330 core

uniform sampler2D normal_depth;

in vec2  uv;

layout (location = 0) out vec4 frag_color;

void main()
{
	vec4 nd = texture(normal_depth, uv);
	frag_color = vec4(normalize(nd.xyz), nd.w);
}
